.NET Framework
==============


DeepSpeech Class
----------------

.. doxygenclass:: DeepSpeechClient::DeepSpeech
   :project: deepspeech-dotnet
   :members:

DeepSpeechStream Class
----------------------

.. doxygenclass:: DeepSpeechClient::Models::DeepSpeechStream
   :project: deepspeech-dotnet
   :members:

ErrorCodes
----------

See also the main definition including descriptions for each error in :ref:`error-codes`.

.. doxygenenum:: DeepSpeechClient::Enums::ErrorCodes
   :project: deepspeech-dotnet

Metadata
--------

.. doxygenclass:: DeepSpeechClient::Models::Metadata
   :project: deepspeech-dotnet
   :members: Transcripts

CandidateTranscript
-------------------

.. doxygenclass:: DeepSpeechClient::Models::CandidateTranscript
   :project: deepspeech-dotnet
   :members: Tokens, Confidence

TokenMetadata
-------------

.. doxygenclass:: DeepSpeechClient::Models::TokenMetadata
   :project: deepspeech-dotnet
   :members: Text, Timestep, StartTime

DeepSpeech Interface
--------------------

.. doxygeninterface:: DeepSpeechClient::Interfaces::IDeepSpeech
   :project: deepspeech-dotnet
   :members:
